
%define oname tinyrpc

Name: python-module-%oname
Version: 0.5.4
Release: alt1.20170523git1f38ac
Summary: Modular RPC library
Group: Development/Python
License: MIT
Url: http://github.com/mbr/tinyrpc
Source: %oname-%version.tar.gz
Patch1: tinyrpc-0.9.3-python3.patch
BuildArch: noarch

BuildRequires(pre): rpm-macros-sphinx
BuildRequires: python-devel
BuildRequires: python-module-setuptools
BuildRequires: python-module-gevent-websocket
BuildRequires: python-module-mock
BuildRequires: python-module-requests
BuildRequires: python-module-six
BuildRequires: python-module-sphinx
BuildRequires: python-module-werkzeug
BuildRequires: python-module-zmq

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-mock
BuildRequires: python3-module-requests
BuildRequires: python3-module-six
BuildRequires: python3-module-werkzeug
BuildRequires: python3-module-zmq

%description
tinyrpc is a library for making and handling RPC calls in python.
Its initial scope is handling jsonrpc,
although it aims to be very well-documented and modular
to make it easy to add support for further protocols.

A feature is support of multiple transports (or none at all)
and providing clever syntactic sugar for writing dispatchers.

%package -n python3-module-%oname
Summary: Modular RPC library
Group: Development/Python3

%description -n python3-module-%oname
tinyrpc is a library for making and handling RPC calls in python.
Its initial scope is handling jsonrpc,
although it aims to be very well-documented and modular
to make it easy to add support for further protocols.

A feature is support of multiple transports (or none at all)
and providing clever syntactic sugar for writing dispatchers.

%prep
%setup -n %oname-%version
%patch1 -p1
find tinyrpc -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%prepare_sphinx docs
#ln -s ../objects.inv docs/

# Remove bundled egg-info
rm -rf %oname.egg-info

rm -rf ../python3
cp -a . ../python3

%build
%python_build

pushd ../python3
%python3_build
popd

# generate html docs
%__python setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf build/sphinx/html/.{doctrees,buildinfo}

%install
%python_install

pushd ../python3
%python3_install
popd

%check
export PYTHONPATH=.
py.test -rs
pushd ../python3
py.test3 -rs --ignore=tests/test_transport.py --ignore=tests/test_wsgi_transport.py
popd

%files
%doc build/sphinx/html README.rst
%python_sitelibdir/*

%files -n python3-module-%oname
%doc README.rst
%python3_sitelibdir/*

%changelog
* Mon Mar 18 2019 Lenar Shakirov <snejok@altlinux.ru> 0.5.4-alt1.20170523git1f38ac
- 0.5.4-alt1.20170523git1f38ac

* Thu Jan 10 2019 Alexey Shabalin <shaba@altlinux.org> 0.9.3-alt1
- 0.9.3
- build python3 package

* Fri Feb 02 2018 Stanislav Levin <slev@altlinux.org> 0.5-alt2.1
- (NMU) Fix Requires and BuildRequires to python-setuptools

* Thu Jun 22 2017 Alexey Shabalin <shaba@altlinux.ru> 0.5-alt2
- fix permitions inside egg-info dir

* Tue Jun 06 2017 Alexey Shabalin <shaba@altlinux.ru> 0.5-alt1
- Initial package.
